For the complete documentation index, see llms.txt. This page is also available as Markdown.

Fetch a cluster backup

Retrieve a PostgreSQL cluster backup by using its ID. This value can be found when you GET a list of PostgreSQL cluster backups.

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Path parameters
backupIdstringRequired

The unique ID of the backup.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e-4oymiqu-12
Responses
200

Successful operation.

application/json

A database backup.

typestring · enumOptional

The type of the resource.

Possible values:
idstringOptional

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
get/clusters/backups/{backupId}
GET /databases/postgresql/clusters/backups/{backupId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "type": "backup",
  "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "state": "AVAILABLE"
  },
  "properties": {
    "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
    "clusterId": "498ae72f-411f-11eb-9d07-046c59cc737e",
    "version": "14",
    "isActive": true,
    "earliestRecoveryTargetTime": "2021-10-23T01:21:10Z",
    "size": 2052,
    "location": "de"
  }
}

Last updated

Was this helpful?